Skip to main content
POST
/
runs
Create Run
curl --request POST \
  --url https://api.cloud.wherobots.com/runs \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "runtime": "TINY",
  "name": "<string>"
}
'
{
  "id": "<string>",
  "createTime": "2023-11-07T05:31:56Z",
  "updateTime": "2023-11-07T05:31:56Z",
  "name": "<string>",
  "status": "PENDING",
  "triggeredBy": {
    "id": "<string>",
    "createTime": "2023-11-07T05:31:56Z",
    "updateTime": "2023-11-07T05:31:56Z",
    "roles": [
      {
        "id": "<string>",
        "createTime": "2023-11-07T05:31:56Z",
        "updateTime": "2023-11-07T05:31:56Z",
        "name": "<string>",
        "organizationId": "<string>",
        "policies": [
          {
            "provider": "WHEROBOTS",
            "locator": "<string>",
            "action": "<string>",
            "effect": "ALLOW",
            "id": "<string>",
            "createTime": "2023-11-07T05:31:56Z",
            "updateTime": "2023-11-07T05:31:56Z"
          }
        ]
      }
    ],
    "email": "<string>",
    "name": "<string>"
  },
  "payload": {
    "runtime": "TINY",
    "name": "<string>",
    "version": "<string>",
    "runPython": {
      "uri": "<string>",
      "args": []
    },
    "runJar": {
      "uri": "<string>",
      "args": [],
      "mainClass": "<string>"
    },
    "timeoutSeconds": 3600,
    "environment": {
      "sparkConfigs": {},
      "dependencies": []
    }
  },
  "startTime": "2023-11-07T05:31:56Z",
  "completeTime": "2023-11-07T05:31:56Z",
  "kubeApp": {
    "id": "<string>",
    "createTime": "2023-11-07T05:31:56Z",
    "updateTime": "2023-11-07T05:31:56Z",
    "instanceId": "<string>",
    "appType": "JUPYTER",
    "status": "PENDING",
    "createdById": "<string>",
    "cpuUsage": 123,
    "regionName": "<string>",
    "message": "<string>",
    "apiPayload": {},
    "appMeta": {
      "spark_ui_url": "",
      "spark_eventlogs_url": ""
    },
    "events": []
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

region
string
required

Body

application/json
runtime
enum<string>
required
Available options:
TINY,
SMALL,
MEDIUM,
LARGE,
XLARGE,
XXLARGE,
micro,
tiny,
small,
medium,
large,
x-large,
2x-large,
4x-large,
medium-himem,
large-himem,
x-large-himem,
2x-large-himem,
4x-large-himem,
x-large-hicpu,
2x-large-hicpu,
x-large-matcher,
2x-large-matcher,
micro-a10-gpu,
tiny-a10-gpu,
small-a10-gpu,
medium-a10-gpu,
large-a10-gpu,
x-large-a10-gpu
name
string
required
Required string length: 8 - 255
Pattern: ^[a-zA-Z0-9_\-\.]+$
version
string | null
runPython
RunPythonPayload · object

Model for the payload of Run with type == "python"

runJar
RunJarPayload · object

Model for the payload of Run with type == "python"

timeoutSeconds
integer
default:3600
environment
RunEnvironment · object

Model for runtime environment configs, include spark cluster configs, dependencies. When we have new configs like Dax configs, env vars, etc, we can add them here.

Response

Successful Response

id
string
required
createTime
string<date-time>
required
updateTime
string<date-time>
required
name
string
required
status
enum<string>
required
Available options:
PENDING,
RUNNING,
FAILED,
COMPLETED,
CANCELLED
triggeredBy
OrganizationCustomer · object
required
payload
CreateRunPayload · object
required
startTime
string<date-time> | null
completeTime
string<date-time> | null
kubeApp
RunKubeApp · object